package projectzombie.entity.particle;

import gl_engine.vec.Vec3d;
import projectzombie.init.Models;
import projectzombie.model.IModel;

public class ParticleWater extends ParticleBreak
{
	public ParticleWater(Vec3d pos, Vec3d velocity) {
		this(pos, velocity, 1);
	}

	public ParticleWater(Vec3d pos, Vec3d velocity, int count) {
		super(pos, velocity, Models.PARTICLE_WATER, count, 0.04);
		
		still_ypos = -1;
	}
	
	@Override
	public boolean isDead() {
		return still == particles.length;
	}
	
	@Override
	protected double getHeight(IModel model) {
		return 0.5;
	}
	
	@Override
	protected double getParticleSpeed() {
		return 0.05;
	}
	
	@Override
	protected double getParticleFade() {
		return 0.5;
	}
	
}
